Subject: bug#27736: OSX 10.6.8: Building from master branch fails.

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 06 Nov 2017 18:13:28 -0800

Thank you Charles for working on this issue.  I was able to byte-compile org-timer.el successfully by using the following inside of org-clock.el at the same location you indicated:

  (or
    (<= m -1034058203136)
    (<= m -1034058203135))

I tried a few times with just (<= m -1034058203135), and it was not enough -- i.e., I was unable to byte-compile using only (<= m -1034058203135).

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DATE:  [11-06-2017 12:41:28] <06 Nov 2017 09:41:28 -1100>
FROM:  [email-masked] (Charles A. Roelli)
> 
> > Date: Mon, 06 Nov 2017 20:41:43 +0100
> > From: [email-masked] (Charles A. Roelli)
> > 
> > > (gdb) pp specified_time
> > >
> > > (-1034058203135 0)
> > 
> > * * * 
> 
> 
> --- a/lisp/org/org-clock.el
> +++ b/lisp/org/org-clock.el
> @@ -487,7 +487,7 @@ org-clock--oldest-date
>                                     "10\\.6\\.[[:digit:]]"
>                                     (shell-command-to-string
>                                      "sw_vers -productVersion"))
> -                                  (<= m -1034058203136))
> +                                  (<= m -1034058203135))
>                         (ignore-errors (decode-time (list m 0)))))))
>    (low
>     (funcall dichotomy
> 
> Does it fix the compilation for you?